### Function

# Gtk.CustomFilterFunc

#### Declaration

    gboolean
    CustomFilterFunc (
      GObject* item,
      gpointer user_data
    )

#### Description [src]

User function that is called to determine if the `item` should be matched.

If the filter matches the item, this function must return `TRUE`. If the item should be filtered out, `FALSE` must be returned.

#### Parameters

`item` | `GObject*`
| The item to be matched
| Ownership is not transferred to the callee
`user_data` | `gpointer`
| user data

#### Return value

Returns: `gboolean`
`TRUE` to keep the item around